# headers-only library
%global debug_package %{nil}

Name:           ell
Version:        0
Release:        0.5.20130617svn%{?dist}
Summary:        Header-only C++ library to write EBNF grammars

License:        LGPLv3+
URL:            http://code.google.com/p/ell/

# this pristine source is the result of:
# svn export -r r282 http://ell.googlecode.com/svn/trunk ell-20130617
# tar -cJvf ell-20130617.tar.xz ell-20130617
Source0:        ell-20130617.tar.xz

%description
Embedded LL library is pure-header library to write EBNF grammars as C++ code.
It eases the development of parser or similar applications, while removing the
need to write a lexer.

%package        devel
BuildArch:      noarch
Summary:        Development files for ELL

# to track the usage of this library
Provides:       %{name}-static = %{version}-%{release}

%description devel
%{name}-devel is only required for building software that uses the ELL library.
Because ELL is a header-only library, there is no matching run-time package.

%prep
%setup -q -n ell-20130617

%build

%check
export CFLAGS="%{optflags}"
make test

%install
mkdir -p %{buildroot}%{_includedir}/ell
cp -pr libELL/Include/ell/*.h %{buildroot}%{_includedir}/ell

%files devel
%doc COPYING.LESSER
%dir %{_includedir}/ell
%{_includedir}/ell/*.h

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.20130617svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20130617svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.20130617svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug 14 2013 Jonathan De Wachter <sonkun@fedoraproject.org> - 0-0.2.20130617svn
- Add dist tag to the package
- Copy explicitly headers (*.h) only
- Preserve timestamps, mode and ownership
- Add noarch tag to the -devel package
- Add an empty % build section (albeit only to silence rpmlint)
- Include directories with the %dir macro

* Tue Aug 6 2013 Jonathan De Wachter <sonkun@fedoraproject.org> - 0-0.1.20130617svn
- Initial RPM release
